/*
 * Class ACTIVE [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_507 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_507 [] = {0xFF01,237,506,185,0xFFFF};
static const EIF_TYPE_INDEX egt_2_507 [] = {0xFF01,506,185,0xFFFF};
static const EIF_TYPE_INDEX egt_3_507 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_507 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_507 [] = {0xFF01,506,185,0xFFFF};
static const EIF_TYPE_INDEX egt_6_507 [] = {0xFF01,506,185,0xFFFF};
static const EIF_TYPE_INDEX egt_7_507 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_507 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_507 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_507 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_507 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_507 [] = {506,185,0xFFFF};
static const EIF_TYPE_INDEX egt_13_507 [] = {0xFF01,506,185,0xFFFF};
static const EIF_TYPE_INDEX egt_14_507 [] = {0xFF01,504,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_507 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_507 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_507[] = {
	{EIF_GENERIC(NULL), 1998, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_507), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_507), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_507), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_507), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_507), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_507), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_507), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_507), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_507), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_507), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_507), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_507), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_507), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_507), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1881, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1882, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1883, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1884, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_507), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_507), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1941, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1942, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1943, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_507), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1999, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init507(void)
{
	IDSC(desc_507, 0, 506);
	IDSC(desc_507 + 1, 1, 506);
	IDSC(desc_507 + 32, 77, 506);
	IDSC(desc_507 + 41, 282, 506);
	IDSC(desc_507 + 50, 243, 506);
	IDSC(desc_507 + 56, 229, 506);
}


#ifdef __cplusplus
}
#endif
